%bcond_with	bootstrap

Summary:	Hardware list for the light detection library
Name:		ldetect-lst
Version:	0.1.333
Release:	2
Group:		System/Kernel and hardware
License:	GPLv2+
URL:		https://abf.rosalinux.ru/soft/ldetect-lst/
Source0:	https://abf.io/soft/ldetect-lst/archive/%{name}-%{version}.tar.gz

Patch0:		use-nvidia375.patch

Requires(post):	perl-base
Requires(post):	gzip
Requires(post):	bash
# libfreebl3.so
Requires(post): nss
Requires(preun):perl-base
BuildRequires:	perl-MDK-Common
%if !%{with bootstrap}
# for testsuite:
BuildRequires:	drakx-kbd-mouse-x11
# needed to create fallback-modules.alias
#BuildRequires:	kernel-desktop
BuildRequires:	kernel-nrj-desktop
# for list_modules.pm
BuildRequires:	drakxtools-backend >= 10.30
%endif
Conflicts:	ldetect < 0.7.18
# for XFdrake using nvidia-current instead of nvidia-97xx
Conflicts:	drakx-kbd-mouse-x11 < 0.21
BuildArch:	noarch

%description
The hardware device lists provided by this package are used as lookup 
table to get hardware autodetection.

%package	devel
Summary:	Devel for ldetect-lst
Group:		Development/Perl
Requires:	ldetect-lst = %{version}-%{release}

%description	devel
Development files for ldetect-lst.

%prep
%setup -q

%apply_patches

%build
%if %{with bootstrap}
pushd lst
touch hardcoded-modules.alias fallback-modules.alias preferred-modules.alias
popd
%endif

%make

%install
%makeinstall slibdir=%{buildroot}/lib

#not provide ids for now
rm -f %{buildroot}%{_datadir}/usb.ids
rm -f %{buildroot}%{_datadir}/oui.txt
rm -f %{buildroot}%{_datadir}/pci.ids
rm -f %{buildroot}%{_datadir}/misc/pnp.ids

%post
#update ldetect after install
/usr/sbin/update-ldetect-lst

%files
%{_datadir}/%{name}
%{_sbindir}/*
/lib/module-init-tools/ldetect-lst-modules.alias

%files devel
%doc README.pcitable
%{_bindir}/*

%changelog

* Tue Dec 13 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 0.1.333-2
- (6f217d1) Use nvidia375 instead of nvidia361
- (6f217d1) We cannot just use the newer versions of ldetect-lst because support for
- (6f217d1) fglrx was dropped there and we still keep it here.
- (6f217d1) However, the users need newer NVidia drivers, so I added a patch to the
- (6f217d1) currently used version of ldetect-lst to enable nvidia375.

* Thu Apr 14 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 0.1.333-1
- (a06faed) Updated to version 0.1.333: added nvidia361, removed nvidia352
- (a06faed) The long-lived branch 361.x of NVidia drivers supercedes 352.x and
- (a06faed) 346.x.
- (a06faed) Here is the list of branches supported by NVidia:
- (a06faed) http://www.nvidia.com/object/unix.html

* Thu Dec 03 2015 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 0.1.332-1
- (0581c0b) Updated to version 0.1.332
- (0581c0b) * Updated pcitable and the Readme files for NVidia drivers corresponding
- (0581c0b) to version 340.96 of nvidia340 and version 352.63 of nvidia352.
- (0581c0b) * Prepared to drop nvidia173 and nvidia346.
- (0581c0b) nvidia173 is not supported by Xorg 1.16 and newer. nouveau should be
- (0581c0b) used instead.
- (0581c0b) nvidia346 is obsoleted by nvidia352.

* Tue Aug 11 2015 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 0.1.331-1
- (d7024f5) Updated to version 0.1.331
- (d7024f5) Most significant changes:
- (d7024f5) * Updated PCI IDS for NVidia graphics cards based on what version 352.30
- (d7024f5) of the driver supports.
- (d7024f5) * Only nouveau will be offered from now on for the GPUs supported by
- (d7024f5) nvidia173 but not by the newer drivers.

* Thu Jul 02 2015 Andrey Ponomarenko <aponomarenko@rosalab.ru> 0.1.330-1
- (9521759) Updated to 0.1.330: support for Catalyst 15.5.

* Wed May 20 2015 law <a.lahin@ntcit-rosa.ru> 0.1.329-3
- (7577fa4) Add bash as a %post requirement

* Thu Apr 30 2015 Dmitry Fedorov <d.fedorov@ntcit-rosa.ru> 0.1.329-2
- (9ae2525) fix requires
- (Dmitry Fedorov: dfc8ea4) fix post-requires

* Mon Mar 02 2015 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 0.1.329-1
- (c0cb702) Updated to version 0.1.329
- (c0cb702) 1. Revisited PCI IDs of NVidia GPUs supported by the driver "nvidia340".
- (c0cb702) 2. Added support for NVidia drivers 346.x.
- (c0cb702) 3. (Experimental) Get the source tarball from ABF rather than from
- (c0cb702) File Store. May simplify things.

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 0.1.327-2
- (212a74f) MassBuild#656: Increase release tag

* Wed Nov 19 2014 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 0.1.327-1
- (706c2ff) Updated to version 0.1.327
- (706c2ff) Changes in this version:
- (706c2ff) * revisited handling of AMD/ATI graphics cards
- (706c2ff) * updated PCI IDs for radeon (kernel 3.14.22) and for fglrx 14.301.1001
- (706c2ff) (AMD Catalyst 14.9)
- (706c2ff) * dropped some of the old, unused and/or broken stuff

* Tue Jul 22 2014 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 0.1.326-1
- (e6a20d0) Cosmetic: fixed the naming of NVidia graphics cards

* Tue Jul 22 2014 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 0.1.325-1
- (afa455b) Updated to version 0.1.325
- (afa455b) Here are the main changes in this version.
- (afa455b) 1. The databases of PCI IDs and USB IDs have been updated.
- (afa455b) 2. Handling of NVidia graphics has been rewritten (see Readme.pcitable)
- (afa455b) so that the newest applicable long-lived proprietary driver is suggested
- (afa455b) to the users, along with nouveau.
- (afa455b) nvidia-current is no longer suggested by default (it is risky to use it
- (afa455b) in production systens because NVidia sometimes drops the support for
- (afa455b) older cards from there).
- (afa455b) nvidia-long-lived is no more. It corresponded to nvidia304 recently,
- (afa455b) so the users are advised to use that driver instead or take what
- (afa455b) XFdrake will suggest.

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.1.323-2
- (7fc9ad2) MassBuild#440: Increase release tag

* Tue Apr 15 2014 Andrey Ponomarenko <aponomarenko@rosalab.ru> 0.1.323-1
- (5d96780) 0.1.323: updated ati radeon proprietary driver (fglrx) to 13.350.1005

* Fri Mar 14 2014 akdengi <kazancas@mandriva.ru> 0.1.322-1
- (d244fe5) 0.1.322

* Fri Mar 14 2014 akdengi <kazancas@mandriva.ru> 0.1.321-1
- (5f896e8) 0.1.322
- (akdengi: 38a795b) fix merge
- (akdengi: e767070) Update card list

* Wed Feb 12 2014 Andrey Ponomarenko <aponomarenko@rosalab.ru> 0.1.319-1
- (33adbe3) Updated to 0.1.319: replace radeon-firmware with linux-firmware in Cards+

* Thu Dec 12 2013 Alexander Kazancev <kazancas@gmail.com> 0.1.318-3
- (6596c82) Updated ldetect-lst.spec
- (akdengi: a48b197) up release

* Wed Sep 04 2013 Alexander Kazancev <kazancas@gmail.com> 0.1.318-2
- (32b1270) Updated ldetect-lst.spec
- (Alexander Kazancev: 429acd0) Not provide hwdata and pciids

* Mon Aug 19 2013 akdengi <kazancas@mandriva.ru> 0.1.318-1
- (d9b939b) 0.1.318

* Tue Jan 29 2013 akdengi <kazancas@gmail.com> 0.1.317-1
- (97c9fa0) 0.1.317

* Wed Dec 26 2012 akdengi <kazancas@mandriva.ru> 0.1.316-1
- (0171b17) BR kernel-nrj-desktop
- (akdengi: 388033c) 0.1.316

* Wed Nov 28 2012 akdengi <kazancas@mandriva.ru> 0.1.315-1
- (6b5ede6) LOG -new version 0.1.315

* Mon Nov 12 2012 akdengi <kazancas@mandriva.ru> 0.1.313-3
- (fe20681) enable sisimedia driver and drop fglrx-legacy for Xorg 13 support

* Wed Oct 31 2012 akdengi <kazancas@mandriva.ru> 0.1.313-1
- (3ba2c82) LOG - 0.1.313

* Wed Oct 31 2012 akdengi <kazancas@mandriva.ru> 0.1.312-4
- (ff1bcca) Now pcitable and usbtable not empty

* Wed Oct 31 2012 Alexander Kazancev <kazancas@gmail.com> 0.1.312-3
- (dd43900) Updated ldetect-lst.spec


